Bug 1571856 - [abrt] kicad: gdk_x_io_error(): kicad killed by SIGSEGV
Summary: [abrt] kicad: gdk_x_io_error(): kicad killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kicad
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3325dfa3f42caa01c344696485a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 14:30 UTC by Angus Pearson
Modified: 2018-11-30 21:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:13:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.66 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: cgroup (386 bytes, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: core_backtrace (4.40 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: dso_list (13.13 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: environ (1.23 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: exploitable (122 bytes, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: maps (65.31 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: mountinfo (4.20 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: open_fds (1.09 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-25 14:30 UTC, Angus Pearson
no flags Details
File: IMG_20180425_150045.jpg (5.17 MB, application/octet-stream)
2018-04-25 14:31 UTC, Angus Pearson
no flags Details

Description Angus Pearson 2018-04-25 14:30:35 UTC
Description of problem:
"Kicad killed by SIGSEGV"
Moving components in eschema or pcbnew (using the default canvas) causes a complete
application crash that takes out the window manager as well (I've tried icewm, GNOME shell and XMonad).
The application freezes and keyboard + mouse become unresponsive immediately, it takes a few seconds for
the wm to crash and fall back to the desktop manager (GDM) which seems unaffected.

To Reproduce:
In eschema or pcbnew, open a schematic and move components, lines and text around.
This crash is not triggered predictably and has occurred for me anywhere
between the first action I take, and after hours of use. Using the 'M' key to pick up and
move an item around with the mouse is how I've usually casued the crash.

I've seen this crash when building library components, schematics and PCBs which to me
implies that it's rendering or canvas related. (I'm not familiar with KiCad's code)

System:
Kixcad v4.0.7, release build
wxWidgets 3.0.2 Unicode and Boost 1.64.0
Fedora 27 Linux Kernel: x86_64 Linux 4.15.14-300.fc27.x86_64
Intel Core i5-6500 @ 4x 3.6GHz
Not OOM caused as far as I can tell.

Version-Release number of selected component:
1:kicad-4.0.7-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        kicad
crash_function: gdk_x_io_error
executable:     /usr/bin/kicad
journald_cursor: s=7386489fb16f41a590afc472b214d66d;i=234085;b=0b7abb99ac724b3bbd8da59408290624;m=12e37c4a4cc;t=56aacb3e7beaa;x=928fd61e9b7cf4e0
kernel:         4.15.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Angus Pearson 2018-04-25 14:30:41 UTC
Created attachment 1426709 [details]
File: backtrace

Comment 2 Angus Pearson 2018-04-25 14:30:42 UTC
Created attachment 1426710 [details]
File: cgroup

Comment 3 Angus Pearson 2018-04-25 14:30:44 UTC
Created attachment 1426711 [details]
File: core_backtrace

Comment 4 Angus Pearson 2018-04-25 14:30:45 UTC
Created attachment 1426712 [details]
File: cpuinfo

Comment 5 Angus Pearson 2018-04-25 14:30:47 UTC
Created attachment 1426713 [details]
File: dso_list

Comment 6 Angus Pearson 2018-04-25 14:30:48 UTC
Created attachment 1426714 [details]
File: environ

Comment 7 Angus Pearson 2018-04-25 14:30:49 UTC
Created attachment 1426715 [details]
File: exploitable

Comment 8 Angus Pearson 2018-04-25 14:30:51 UTC
Created attachment 1426716 [details]
File: limits

Comment 9 Angus Pearson 2018-04-25 14:30:53 UTC
Created attachment 1426717 [details]
File: maps

Comment 10 Angus Pearson 2018-04-25 14:30:54 UTC
Created attachment 1426718 [details]
File: mountinfo

Comment 11 Angus Pearson 2018-04-25 14:30:56 UTC
Created attachment 1426719 [details]
File: open_fds

Comment 12 Angus Pearson 2018-04-25 14:30:57 UTC
Created attachment 1426720 [details]
File: proc_pid_status

Comment 13 Angus Pearson 2018-04-25 14:31:12 UTC
Created attachment 1426721 [details]
File: IMG_20180425_150045.jpg

Comment 14 Ben Cotton 2018-11-27 16:02:18 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2018-11-30 21:13:35 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.